Subject: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me

From: Damien Cassou <[email-masked]>
Date: Tue, 13 Sep 2022 15:29:10 +0200

Lars Ingebrigtsen <[email-masked]> writes:
> I'd prefer to have a .desktop file that works without any helper
> scripts.   Can't the emacsclient-mail.desktop file be rewritten to not
> use quoting here?

This is maybe possible but I haven't found a way. Moreover, the
constraints that "Field codes must not be used inside a quoted argument"
makes things more complex. One way we could maybe implement this is if
it was possible to pass additional CLI arguments to emacsclient and read
them from elisp the same way it is possible in batch mode with emacs.

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill